/*
* ynhtm.com Domain V1.0
*
* (C) 2011 XiaoDao
*/

$.Domain = {
    find: function (key, ext) {
        var ul = $("<ul/>").appendTo("#result dd"); ;
        $.each(ext, function (i, n) {
            $(":checkbox[value='" + n + "']").attr("checked", true);
            n = key + "." + n;
            var a = $("<li/>").append($("<strong/>").text(n)).append("&nbsp;&nbsp;").append($("<span/>").addClass("gray").text("查询中...")).appendTo(ul);
            if (i % 2 != 0) a.addClass("result-alt");
            $.ajax({
                url: "/API/Domain.ashx",
                dataType: "xml",
                timeout: 30000,
                data: { q: n },
                error: function () {
                    a.append($("<strong/>").addClass("red").text("非常抱歉，查询失败！"));
                },
                complete: function () {
                    $(".gray", a).hide();
                },
                success: function (data) {
                    switch ($("status", data).text()) {
                        case "210":
                            a.append($("<strong/>").addClass("green").text("该域名可以注册")).append("&nbsp;&nbsp;").append($("<span/>").addClass("orange").text("注册热线：0871-4568993（昆明市区可提供上门办理服务）"));
                            break;
                        case "211":
                            a.append($("<strong/>").addClass("darkred").text("该域名已被注册，请重新选择其它域名！"));
                            break;
                        default:
                            a.append($("<strong/>").addClass("red").text("无法注册该域名！"));
                            break;
                    }
                }
            });
        });
    }
};